@echo off
if "%debug%" == "yes" echo on

:: This program will manually install windows drivers

:: if invoked as 'manwsedd', show syntax

	if "%1" == ""				goto syntax
	if "%2" == ""				goto syntax
	if not exist %1\filelist.txt		goto baddir
	if not exist %2\win.ini			goto baddir

	sedit -wnqI %2 mv.ini mvinit mvdirectory %1	s
	sedit -wI %2 win.ini windows run %1\mvin.exe replace
	sedit -wI %2 system.ini drivers wave pros.drv	s
	sedit -wnqI %2 system.ini drivers midi prosfm4.drv	s
	sedit -wnqI %2 system.ini drivers mixer prosmxd.drv	s
	sedit -wnqI %2 system.ini 386Enh device=+vprosd.386 vprosd.386 s
	sedit -wnqI %2 system.ini 386Enh device=+vprosfm.386 vprosfm.386 s
	sedit -wnqI %2 system.ini mci cdaudio mcicda.drv	s
	sedit -wnqI %2 system.ini 386Enh dmabuffersize 064	s
	sedit -wnqI %2 system.ini pros.drv	dmachannel 1	s
	sedit -wnqI %2 system.ini pros.drv	int 7	s
	sedit -wnqI %2 system.ini pros.drv drumchannel 10	s
	sedit -wnqI %2 system.ini pros.drv port 220	s

	goto quit

:syntax
	echo Syntax: manwsedd targetdir windowsdir 
	echo This program will manually install the drivers for windows
	echo Example:  manwsedd c:\prosonic c:\windows
	echo 		where c:\prosonic is the Pro Sonic directory.
	echo 		where c:\windows is the windows directory.
	goto quit

:baddir
	echo Could not locate directory

:quit
	



